> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get setup details

> Retrieve detailed information about a specific auto bidding setup



## OpenAPI

````yaml get /auto-bidding/setups/{id}
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /auto-bidding/setups/{id}:
    get:
      tags:
        - Auto Bidding
      summary: Get setup details
      description: Retrieve detailed information about a specific auto bidding setup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: The setup ID
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoBiddingSetupResponse'
        '404':
          description: Setup not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    AutoBiddingSetupResponse:
      type: object
      properties:
        success:
          type: boolean
        setup:
          $ref: '#/components/schemas/AutoBiddingSetupDetailed'
    Error:
      type: object
      properties:
        error:
          type: string
    AutoBiddingSetupDetailed:
      allOf:
        - $ref: '#/components/schemas/AutoBiddingSetup'
        - type: object
          properties:
            bidding_template:
              type: object
              properties:
                id:
                  type: integer
                  nullable: true
                name:
                  type: string
                  nullable: true
                hourly_rate:
                  type: number
                  nullable: true
                templates:
                  type: array
                  items:
                    type: string
                  nullable: true
            custom_schedule:
              type: object
              nullable: true
    AutoBiddingSetup:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        status:
          type: integer
        status_name:
          type: string
        filter:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        bidding_template:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        schedule:
          type: string
        schedule_label:
          type: string
        timezone:
          type: string
        bidding_delay_minutes:
          type: integer
        daily_proposals_limit:
          type: integer
        total_proposals_sent:
          type: integer
        proposals_sent_today:
          type: integer
        last_run_at:
          type: string
          nullable: true
        last_proposal_date:
          type: string
          nullable: true
        business_manager_id:
          type: string
          nullable: true
        subscription_id:
          type: integer
          nullable: true
        created_at:
          type: string
          nullable: true
        updated_at:
          type: string
          nullable: true
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````